version: '3.0'
services:
  okapi_his:
    image: src.whiteboxsystems.nl/decozo/okapidemo/his
    container_name: okapi_his
    restart: always
    environment:
      EXT_ADDR: "okapi_his"
    volumes:
      - "./his/data:/data"
      - "./his/certs:/certs"
    ports:
      - 8084:8084
  okapi_wbx:
    image: src.whiteboxsystems.nl/decozo/okapidemo/whitebox
    container_name: okapi_wbx
    restart: always
    environment:
      EXT_ADDR: "okapi_wbx"
      BIN_FOLDER: "/wbxbin"
    volumes:
      - "./wbx/data:/data"
      - "./wbx/certs:/certs"
    ports:
      - 8085:8085
  okapi_dvza:
    image: src.whiteboxsystems.nl/decozo/okapidemo/dvza
    container_name: okapi_dvza
    restart: always
    environment:
      EXT_ADDR: "okapi_dvza"
    volumes:
      - "./dvza/data:/data"
      - "./dvza/certs:/certs"
    ports:
      - 9095:9095
